Page MenuHomePhabricator

[lldb-mi] print real error message in "-data-evaluate-expression"
ClosedPublic

Authored by evgeny777 on Jan 29 2016, 9:25 AM.

Details

Reviewers
abidh
ki.stfu
Summary

Unlike "-var-create", the "-data-evaluate-expression" command always prints "Could not evaluate expression" when error occurs.

Diff Detail

Event Timeline

evgeny777 updated this revision to Diff 46391.Jan 29 2016, 9:25 AM
evgeny777 retitled this revision from to [lldb-mi] print real error message in "-data-evaluate-expression".
evgeny777 updated this object.
evgeny777 added reviewers: abidh, ki.stfu.
evgeny777 added a subscriber: lldb-commits.
ki.stfu accepted this revision.Feb 3 2016, 9:37 PM
ki.stfu edited edge metadata.
This revision is now accepted and ready to land.Feb 3 2016, 9:37 PM
evgeny777 closed this revision.Feb 8 2016, 2:09 AM